Home//
REST API Reference
/- Create a content import source
List content import sources
Delete a content import source
Retrieve a content import source
Update a content import source
List external pages
Create an external page (or update an external page by external ID)
Delete an external page
Retrieve an external page
Update an external page
Content Import Source
Content Import Sources
External Page
External Pages
Create a content import s...
You can create a new content import source by sending a POST request to this endpoint.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
If you intend to create or update External Pages via the API, this should be set to api.
Value:"api"
Example:"api"
The status of the content import source.
Default:"active"
Enum:"active""deactivated"
Example:"active"
- The production API serverhttps://api.intercom.io/ai/content_import_sources
- The european API serverhttps://api.eu.intercom.io/ai/content_import_sources
- The australian API serverhttps://api.au.intercom.io/ai/content_import_sources
curl -i -X POST \
https://api.intercom.io/ai/content_import_sources \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.14' \
-d '{
"sync_behavior": "api",
"url": "https://www.example.com"
}'successful
Always external_page
Default:"content_import_source"
Value:"content_import_source"
Example:"content_import_source"
The unique identifier for the content import source which is given by Intercom.
Example:1234
The time when the content import source was last synced.
Example:1672928610
If you intend to create or update External Pages via the API, this should be set to api.
Enum:"api""automatic""manual"
Example:"api"
The status of the content import source.
Default:"active"
Enum:"active""deactivated"
Example:"active"
The time when the content import source was created.
Example:1672928359
Response
{ "id": 36, "type": "content_import_source", "last_synced_at": 1734537261, "status": "active", "url": "https://www.example.com", "sync_behavior": "api", "created_at": 1734537261, "updated_at": 1734537261 }